<?php
namespace Claromentis\Core\Message;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("i" . "d" => base64_decode("aW" . "Q="), "_f656816961e8573806141c" . "558b184fe2" => base64_decode("c3Viam" . "VjdA=="), "te" . "xt" => base64_decode("dGV" . "4dA" . "=="), "ty" . "pe" => base64_decode("dHlwZQ" . "=="));
use Claromentis\Core\Event\Event;







class SendEvent extends Event
{
    protected $message_info;
    protected $recipient_info;
    protected $sender_id;
    public function __construct($_bcfb24cb34fc79a85279a34d2eebb7c6, $_a7d1b57fc9cf298f71cc4c520efc2d09, $_f3c6503ca6d913adb51076e07b9a7a35)
    {
        $this->message_info = $_bcfb24cb34fc79a85279a34d2eebb7c6;
        $this->recipient_info = $_a7d1b57fc9cf298f71cc4c520efc2d09;
        $this->sender_id = $_f3c6503ca6d913adb51076e07b9a7a35;
    }
    
    
    
    
    public function GetMessageId()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["i" . "d"]];
    }
    
    
    
    
    public function GetMessageType()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["ty" . "pe"]];
    }
    
    
    
    
    public function GetUserId()
    {
        return $this->recipient_info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["i" . "d"]];
    }
    
    
    
    
    public function GetRecipientInfo()
    {
        return $this->recipient_info;
    }
    
    
    
    
    public function GetSenderId()
    {
        return $this->sender_id;
    }
    
    
    
    
    public function GetMessageText()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["t" . "e" . "x" . "t"]];
    }
    
    
    
    
    public function GetSubject()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_f656816961e8573806141c558" . "b184fe2"]];
    }
}